*** DePay Web3 Payments for WooCommerce Changelog ***

2026-1-23 - version 3.0.7
* fixes okx + oks wallet connection

2026-1-3 - version 3.0.6
* fixes token denomination issue (where no price is available)

2025-11-4 - version 3.0.5
* fixes Solana issues

2025-8-27 - version 3.0.4
* fix: uses different urls for testing outgoing connection

2025-7-2 - version 3.0.3
* fixes: ensures to load all payment options in some cases

2025-6-10 - version 3.0.2
* adds debugging to failed payment tracking requests

2025-6-6 - version 3.0.1
* fixes phantom wallet mobile wallet deep link

2025-6-3 - version 3.0.0
* Upgraded to DePay V3, including the latest payment workflows and API enhancements.
* Faster initialization: reduced time-to-first-interaction when starting a payment.
* Improving overall page speed: Deferred JavaScript assets to load only on the checkout page.

2025-1-22 - version 2.12.20
* fixes changelog.txt file
* fixes some solana loading issues

2025-1-6 - v2.12.19
* fixes checkout when login and account creation at checkout is enabled

2024-12-9 - v2.12.18
* improves debug endpoint

2024-12-8 - v2.12.17
* fixes blockchain icons on checkout page (on Safari and iPhone)

2024-12-7 - v2.12.16
* fixes blockchain icons on checkout page (on Safari and iPhone)

2024-11-30 - v2.12.15
* improves readme titles/wording

2024-11-30 - v2.12.14
* fixes plugin description

2024-11-30 - v2.12.13
* fixes changelog formatting

2024-11-30 - v2.12.12
* fixes .zip release

2024-11-30 - v2.12.11
* fix missing changelog 

2024-11-27 - v2.12.10
* shortening plugin name: DePay for WooCommerce

2024-11-27 - v2.12.9
* fix redirect to payment page if signup during checkout is enabled

2024-11-27 - v2.12.8
* fixes checkout issues when users are creating accounts during checkout

2024-11-9 - v2.12.7
* fix solflare handover + fix some solana rpcs

2024-11-6 - v2.12.6
* fixes Solana Pay

2024-10-26 - v2.12.4
* fix solana timouts

2024-10-19 - v2.12.3
* fixes some payment data issues

2024-10-16 - v2.12.2
* fixes some timeouts with polygon rpcs

2024-10-16 - v2.12.1
* fixes plugin short description

2024-10-16 - v2.12.0
* upgrades widgets including multiple bux fixes
* adds World Chain support

2024-9-10 - v2.11.10
* fix loading payment options (rpc settings & rotation)

2024-9-5 - v2.11.9
* fix prevents deadlock: widget loading payment options forever

2024-8-25 - v2.11.8
* fixes plugin description text

2024-8-25 - v2.11.7
* fixes some minor wallet connectivity issues

2024-8-13 - v2.11.6
* fixes edge-case routing issues with low-liquidity tokens on Uniswap v3

2024-7-6 - v2.11.5
* fix widget fiat payment value display for low-liquidity edge-cases

2024-7-1 - v2.11.4
* fixes Solana RPC failover

2024-6-17 - v2.11.3
* fixes more mobile & wallet connect edgecases

2024-6-14 - v2.11.2
* fix missing dependency (Web3Blockchains)

2024-6-14 - v2.11.1
* fixes some payment tracking edge cases

2024-5-29 - v2.11.0
* adds debug information about ssl status

2024-5-20 - v2.10.12
* logs more information if checkout errors happen

2024-5-11 - v2.10.11
* fixes mobile wallet connectivity issues (WalletConnect)

2024-4-26 - v2.10.10
* more css fixes for old templates

2024-4-22 - v2.10.9
* fix max height blockchain icons (checkout)

2024-4-22 - v2.10.8
* fix checkout option width (for icons)

2024-4-22 - v2.10.7
* fix use standard way of displaying checkout payment icons

2024-4-9 - v2.10.6
* fix "tested up to"

2024-4-9 - v2.10.5
* fix plugin meta

2024-4-9 - v2.10.4
* fix some more wallet connect issues

2024-4-5 - v2.10.3
* fix metamask QR scan connection

2024-2-26 - v2.10.2
* fix onbeforeunload redirect issues

2024-2-26 - v2.10.1
* fix saving settings

2024-2-26 - v2.10.0
* adds wallet support for Magic Eden wallet and Brave (multi platform)

2024-2-15 - v2.9.1
* upgrade dependencies (fix polygon rpc)

2024-2-2 - v2.9.0
* adds transaction search to admin > DePay > transactions

2024-1-25 - v2.8.3
* upgrade widget: fix SolanaPay redirect

2024-1-25 - v2.8.2
* fix Checkout block: hide description if description is empty

2024-1-25 - v2.8.1
* fix reseting Api Key value in admin UI

2024-1-25 - v2.8.0
* allows to store DePay PRO API key to raise default request limits

2024-1-6 - v2.7.0
* load checkout javascript & widgets defer (to improve page speed)
* upgrade widgets

2023-12-27 - v2.6.1
* fix wrap<>unwrap payments
* fix passed gas

2023-11-29 - v2.6.0
* Adds checkout block support for DePay payment option
* fixes: "There are no payment methods available"

2023-11-16 - v2.5.7
* fixes Trust wallet mobile connection

2023-11-11 - v2.5.6
* replaces broken polygon rpc

2023-11-11 - v2.5.5
* replaces broken polygon rpc

2023-10-24 - v2.5.4
* fixes styling issues (for some themes) with blockchain icons on checkout page

2023-10-23 - v2.5.3
* fixes wrongfully "failed" payments (rare RPC error, only UI)

2023-10-16 - v2.5.2
* fix version

2023-10-16 - v2.5.1
* fixes checkout blockchain icon display

2023-10-15 - v2.5.0
* improves payment status polling
* allows to test payments in local development (via polling)
* allows to track payments if page is behind a firewall (via polling)
* adds option to delete transactions in admin/depay/transactions
* adds link to export transaction CSV from app.depay.com

2023-10-13 - v2.4.1
* fix wordpress.org graphics

2023-10-13 - v2.4.0
* updates wordpress.org graphics

2023-10-10 - v2.3.1
* fix widgets upgrade (update build, too)

2023-10-10 - v2.3.0
* upgrade widgets and fixes various wallet connection issues

2023-10-2 - v2.2.1
* migrate plugin tables to correct prefix name if instance has db prefix other than "wp_")

2023-9-28 - v2.2.0
* adds multi-gateway option (1 per blockchain)

2023-9-28 - v2.1.9
* fix: removes gateway name html code from order confirmation screen

2023-9-27 - v2.1.8
* removes explicit X-Wp-Nonce header

2023-9-27 - v2.1.7
* fixes cookie issues in cases where checkout attempt freezes

2023-9-25 - v2.1.6
* prevents performing a payment for an already completed order

2023-9-24 - v2.1.5
* fix checkout option alignment

2023-9-23 - v2.1.4
* fix metamask mobile connection

2023-9-23 - v2.1.2
* fixes checkout button (visually)

2023-9-19 - v2.1.1
* respect configured db prefix

2023-9-19 - v2.1.0
* print DB error if storing checkout fails

2023-9-19 - v2.0.3
* fixes checkout styling

2023-9-19 - v2.0.2
* fix admin transaction screen for new blockchains

2023-9-19 - v2.0.1
* fixes connection with Safe wallets

2023-9-17 - v2.0.0
* upgrades to DePay V2
* improved widget
* additional blockchain support: Fantom, Gnosis, Avalanche, Arbitrum, Optimism, Base

2023-8-29 - v1.19.2
* fixes setting checkout description

2023-8-29 - v1.19.1
* removes default value for additional description

2023-8-18 - v1.19.0
* adds transaction/payments filter to the DePay admin panel

2023-8-16 - v1.18.4
* tested with latest WordPress version

2023-8-16 - v1.18.3
* tested with latest WooCommerce version

2023-8-16 - v1.18.2
* fixes WalletConnect v2 issue

2023-8-16 - v1.18.1
* fixes wallet connections for wallets requiring WalletConnect v2

2023-8-3 - v1.18.0
* adds SolanaPay support

2023-7-5 - v1.17.10
* fixes metamask mobile wallet connection

2023-6-16 - v1.17.9
* fix polygon logo
* fix some solana routing (widget)

2023-6-12 - v1.17.8
* fix denominating in token

2023-6-6 - v1.17.7
* fixes error that prevents payment during checkout

2023-6-5 - v1.17.6
* tested up to WP 6.2

2023-6-5 - v1.17.5
* update widgets to fix wallet connect images
* fix removing tokens in admin

2023-6-4 - v1.17.4
* fixes images in connect wallet dialog

2023-6-3 - v1.17.3
* fix migration errors

2023-6-3 - v1.17.2
* fixes setup task recognition

2023-6-2 - v1.17.1
* update readme & wordpress.org assets

2023-6-2 - v1.17.0
* Adds Solana support & support for 1 address/token

2023-5-26 - v1.16.1
* removes Woo identifier to ship this plugin from Wordpress.org only
* fixes ui alignment of blockchain icons on the checkout page

2023-5-4 - v1.16.0
* HPOS compatible

2023-4-6 - v1.15.11
* fixes some token amount display issues

2023-4-6 - v1.15.10
* fix: payment validation edge-case

2023-4-2 - v1.15.9
* fix: item denomination in crypto currencies

2023-3-31 - v1.15.8
* minor widget improvements

2023-3-22 - v1.15.7
* fix: show switch network dialog also upon approval

2023-3-11 - v1.15.6
* fixes FIAT & USD conversion (UI/Widget)

2023-3-10 - v1.15.5
* fix timing issue with callbacks (internal)

2023-3-10 - v1.15.4
* fix warning when forwarding to order confirmation

2023-3-10 - v1.15.3
* update widgets to prevent page reload during pending payment

2023-3-10 - v1.15.2
* update widgets to improve "Connect a wallet"
* improve payment tracing
* log payment validation errors

2023-3-2 - v1.15.1
* fixes problem with Coinbase wallet

2023-2-28 - v1.15.0
* update widgets + add react token image to display token images in admin section properly

2023-2-27 - v1.14.0
* updates widgets: Improves "Connect a wallet"

2023-2-25 - v1.13.0
* New and improved "Connect a wallet"

2023-2-11 - v1.12.0
* add option to switch displayed currency (within payment widget)

2023-2-11 - v1.11.7
* fix: checkout with enabled token denomination & reload checkout if page reloaded

2023-2-10 - v1.11.6
* fix: only manual switch for WooCommerce currency

2023-2-6 - v1.11.5
* fix: allow payments on "Customer payment page"

2023-2-6 - v1.11.4
* upgrade widgets to v9.3.1

2023-1-31 - v1.11.3
* fixes wordpress.org meta data

2023-1-30 - v1.11.2
* update wording for unsupported token warning

2023-1-28 - v1.11.1
* fix: already set token denomination upon adding the option for the first time

2023-1-27 - v1.11.0
* adds crypto/token denomination

2023-1-26 - v1.10.1
* fix prevent error if initial token selection is empty

2023-1-26 - v1.10.0
* Adds help to make the right token selection in settings
* Allows to change payment method name (DePay, Web3, Crypto)
* Allows to add an additional payment method description for checkout
* Improves checkout performance
* Checks if required packages are installed (bcmath)

2023-1-21 - v1.9.7
* fix update values for track follows trace

2023-1-21 - v1.9.6
* fix timing of visual payment confirmation

2023-1-21 - v1.9.5
* prevent E numbers (prevent floatval)

2023-1-17 - v1.9.4
* fix rounding issue

2023-1-9 - v1.9.3
* fix vertical alignment of blockchain icons (checkout)

2023-1-7 - v1.9.2
* fix fetch transactions (admin)

2023-1-7 - v1.9.1
* hide pending transactions in the admin "transactions" tab

2023-1-6 - v1.9.0
* upgrades widgets to v9

2022-12-29 - v1.8.1
* fix: properly align blockchain logos during checkout

2022-12-12 - v1.8.0
* adds logs

2022-12-12 - v1.7.0
* add CURL, POST and GET status to debug

2022-12-9 - v1.6.0
* adds debug endpoint

2022-12-9 - v1.5.4
* fix token price conversions

2022-12-9 - v1.5.3
* fix: use correct data types for uuids

2022-12-9 - v1.5.2
* fix: prevent caching for fetching accepted payments during checkout

2022-11-3 - v1.5.1
* fix: allows to disable depay payment gateway in woocommerce

2022-10-19 - v1.5.0
* Listing on WooCommerce

2022-10-18 - v1.0.0
* Initial release
